pcl::recognition::ObjRecRANSAC::OrientedPointPair Class Reference

`#include <pcl/recognition/ransac_based/obj_rec_ransac.h>`

## Public Member Functions

| OrientedPointPair (const float *p1, const float *n1, const float *p2, const float *n2)
virtual | ~OrientedPointPair ()

## Public Attributes

const float * | p1_
const float * | n1_
const float * | p2_
const float * | n2_

## Detailed Description

Definition at line 119 of file obj_rec_ransac.h.

## Constructor & Destructor Documentation

pcl::recognition::ObjRecRANSAC::OrientedPointPair::OrientedPointPair | ( | const float * | p1,
|  | const float * | n1,
|  | const float * | p2,
|  | const float * | n2
| ) |  |

inline

Definition at line 122 of file obj_rec_ransac.h.

virtual pcl::recognition::ObjRecRANSAC::OrientedPointPair::~OrientedPointPair | ( |  | ) |

inline virtual

Definition at line 127 of file obj_rec_ransac.h.

## Member Data Documentation

const float * pcl::recognition::ObjRecRANSAC::OrientedPointPair::n1_

Definition at line 130 of file obj_rec_ransac.h.

const float * pcl::recognition::ObjRecRANSAC::OrientedPointPair::n2_

Definition at line 130 of file obj_rec_ransac.h.

const float* pcl::recognition::ObjRecRANSAC::OrientedPointPair::p1_

Definition at line 130 of file obj_rec_ransac.h.

const float * pcl::recognition::ObjRecRANSAC::OrientedPointPair::p2_

Definition at line 130 of file obj_rec_ransac.h.

The documentation for this class was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/recognition/include/pcl/recognition/ransac_based/obj_rec_ransac.h